> ## Documentation Index
> Fetch the complete documentation index at: https://docs.subotiz.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Product Version

> List Product Version



## OpenAPI

````yaml openapi/v1-en.yaml GET /api/v1/products/version
openapi: 3.0.3
info:
  title: Subotiz API
  description: Subotiz OpenAPI
  version: 1.0.0
servers:
  - url: https://{api}.subotiz.com
    variables:
      api:
        default: api
security:
  - sec0: []
tags:
  - name: Subscription
    description: Subscription
  - name: Price
    description: Price
  - name: Trade
    description: Trade
  - name: Payment
    description: Payment
  - name: Checkout Session
    description: Checkout Session
  - name: Customer
    description: Customer
  - name: Customer Portal
    description: Customer Portal
paths:
  /api/v1/products/version:
    get:
      tags:
        - Product
      summary: List Product Version
      description: List Product Version
      operationId: v1-product-list-product-version
      parameters:
        - name: product_version_ids
          in: query
          description: 'Filter by price version IDs. Array size limit: [0,100]'
          schema:
            type: array
            items:
              type: string
        - name: status
          in: query
          description: |-
            Filter status
             - draft: Draft
             - active: Active
             - disabled: Inactive
          schema:
            type: string
        - name: starting_after
          in: query
          description: >-
            Cursor for pagination. starting_after is the object ID that defines
            your position in the list. For example, if you want to get the next
            page, you can use the last object's ID as the parameter value after
            getting the object list for the first time. Cannot be used together
            with ending_before
          schema:
            type: string
        - name: ending_before
          in: query
          description: >-
            Cursor for pagination. ending_before is the object ID that defines
            your position in the list. For example, if you want to get the
            previous page, you can use the first object's ID as the parameter
            value after getting the object list for the first time. Cannot be
            used together with starting_after
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            Pagination parameter, interface defaults to sorting by creation time
            in descending order. Limit: [1, 100]
          schema:
            type: integer
            format: int32
        - name: created_at.gt
          in: query
          description: >-
            Minimum value to filter by (exclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - name: created_at.gte
          in: query
          description: >-
            Minimum value to filter by (inclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - name: created_at.lt
          in: query
          description: >-
            Maximum value to filter by (exclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - name: created_at.lte
          in: query
          description: >-
            Maximum value to filter by (inclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - $ref: '#/components/parameters/HeaderRequestID'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListProductsVersionResponse'
components:
  parameters:
    HeaderRequestID:
      name: Request-Id
      in: header
      description: The unique identifier of the request
      required: true
      schema:
        type: string
        default: 008e3967-a1b5-48bb-be14-d5bff5092e61
  schemas:
    ListProductsVersionResponse:
      type: object
      properties:
        code:
          type: string
          description: error code
        message:
          type: string
          description: error message
        data:
          $ref: '#/components/schemas/ListProductsVersionResponse_Data'
    ListProductsVersionResponse_Data:
      type: object
      properties:
        has_more:
          type: boolean
          description: Whether there is more data
        list:
          type: array
          items:
            $ref: '#/components/schemas/ProductVersion'
          description: Product information record list
    ProductVersion:
      type: object
      properties:
        product_id:
          type: string
          description: Product unique identifier on Subotiz
        product_name:
          type: string
          description: Product name
        product_status:
          type: string
          description: Product status
        merchant_product_id:
          type: string
          description: Product ID
        category_id:
          type: string
          description: Product type unique identifier on Subotiz
        description:
          type: string
          description: Product description
        image_url:
          type: string
          description: Product image URL
        category_name:
          type: string
          description: Product type
        created_by:
          type: string
          description: Product created by
        created_at:
          type: string
          description: Product created at
        features:
          type: array
          items:
            $ref: '#/components/schemas/ProductFeature'
          description: Product features
        metadata:
          type: object
          additionalProperties:
            type: string
          description: >-
            A set of key-value pairs that can be attached to an object, allowing
            you to store additional information in a structured format.
        product_version_id:
          type: string
          description: product version id
    ProductFeature:
      type: object
      properties:
        id:
          type: string
          description: Product feature unique identifier on Subotiz
        name:
          type: string
          description: Product feature name
        type:
          type: string
          description: |-
            Product feature type
             - quantitative: Quantitative
             - qualitative: Qualitative
  securitySchemes:
    sec0:
      type: http
      description: >-
        Bearer API Key authentication. Format: Authorization: Bearer
        {your_api_key}
      scheme: bearer

````